Skip to main content
GET
/
v1
/
master-wallets
/
{masterId}
/
transactions
List master wallet transfers
curl --request GET \
  --url https://api.xentfi.com/v1/master-wallets/{masterId}/transactions \
  --header 'apiKey: <api-key>' \
  --header 'orgId: <api-key>'
{
  "transfer": [
    {
      "blockNum": "<string>",
      "from": "<string>",
      "to": "<string>",
      "value": 123,
      "symbol": "<string>",
      "id": "<string>",
      "hash": "<string>",
      "timestamp": "<string>",
      "asset": {
        "id": "69d851b9-c358-4359-becd-3e614ca1ab4d",
        "name": "Euro Coin",
        "symbol": "EURC",
        "decimals": 6,
        "address": "0x08210F9170F89Ab7658F0B5E3fF39b0E03C594D4",
        "standard": "ERC20",
        "logoUrl": "https://example.com/eurc-logo.png",
        "isActive": true,
        "network": "mainnet",
        "isNative": false,
        "configurations": null,
        "blockchain": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "slug": "<string>",
          "symbol": "<string>",
          "isActive": true,
          "isEvmCompatible": true,
          "chainId": 123,
          "logoUrl": "<string>",
          "tokenStandard": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        },
        "blockchainId": "8a864e95-4b86-423d-9ba4-f4e692ec121e",
        "createdAt": "2026-02-26T15:10:53.032Z",
        "updatedAt": "2026-02-26T15:10:53.032Z"
      },
      "rawContract": {
        "value": "<string>",
        "address": "<string>",
        "decimal": "<string>"
      }
    }
  ],
  "pageInfo": {
    "hasMore": true,
    "nextCursor": "<string>"
  },
  "totalCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required
orgId
string
header
required

Path Parameters

masterId
string
required

Query Parameters

txType
enum<string>
default:to
Available options:
from,
to
pageSize
integer
default:10
pageKey
string
order
enum<string>
Available options:
ASC,
DESC

Response

List of transfers

transfer
object[]
pageInfo
object
totalCount
integer